# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderingTree Class Reference

The RenderingTree class organizes a set of renderings into a tree-like data structure. More...

`#include <RenderingTree.hpp>`

Inheritance diagram for vl::RenderingTree:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| RenderingTree ()
| Constructor.
| RenderingTree (const RenderingTree &other)
| Copy constructor.
RenderingTree & | operator= (const RenderingTree &other)
| Assignment operator.
virtual void | render ()
| Recursively calls the render() method of its children.
Collection< RenderingAbstract > * | subRenderings ()
| The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.
const Collection < RenderingAbstract > * | subRenderings () const
| The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.
## Protected Attributes
ref< Collection < RenderingAbstract > > | mSubRendering

## Detailed Description

The RenderingTree class organizes a set of renderings into a tree-like data structure.

To enable the RenderingTree set the enableMask() to a value != 0, otherwise the RenderingTree will be disabled.

## Constructor & Destructor Documentation

RenderingTree::RenderingTree | ( |  | ) |

Constructor.

vl::RenderingTree::RenderingTree | ( | const RenderingTree & | other | ) | `[inline]`

Copy constructor.

## Member Function Documentation

virtual const char* vl::RenderingTree::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

RenderingTree & RenderingTree::operator= | ( | const RenderingTree & | other | ) |

Assignment operator.

void RenderingTree::render | ( |  | ) | `[virtual]`

Recursively calls the render() method of its children.

Note:
  - RC_PreRendering RenderingCallback is issued before the rendering of any children.
  - RC_PostRendering RenderingCallback is issued after the rendering of all the children. If enableMask() == 0 then no rendering and no RenderingCallback is generated.

Implements vl::RenderingAbstract.

Collection<RenderingAbstract>* vl::RenderingTree::subRenderings | ( |  | ) | `[inline]`

The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.

const Collection<RenderingAbstract>* vl::RenderingTree::subRenderings | ( |  | ) | const`[inline]`

The sub-Rendering (or child-Rendering) objects of a Rendering. A sub-Rendering is rendered before it's parent and after its children.

## Member Data Documentation

ref< Collection<RenderingAbstract> > vl::RenderingTree::mSubRendering`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderingTree.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderingTree.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:49 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.